Subject: Re: git name-rev not accepting abbreviated SHA with --stdin

From: Sitaram Chamarty <[email-masked]>
Date: Thu, 25 Jun 2015 07:31:08 +0530

On 06/25/2015 05:41 AM, Junio C Hamano wrote:
> Sitaram Chamarty <[email-masked]> writes:
> 
>> This *is* documented, but I'm curious why this distinction is made.
> 
> I think it is from mere laziness, and also in a smaller degree
> coming from an expectation that --stdin would be fed by another
> script like rev-list where feeding full 40-hex is less work than
> feeding unique abbreviated prefix.

Makes sense; thanks.  Maybe if I feel really adventurous I will,
one day, look at the code :-)